//******************************************************************
// TestTime program
// This is a very simple client of the original TimeType class
// declared in file timetyp1.h
//******************************************************************
#include "timetyp1.h"
#include <iostream>

using namespace std;

int main()
{
    TimeType time1;
    TimeType time2;
    int      count;

    time1.Set(5, 30, 0);
    time2.Set(0, 0, 0);
    time2 = time1;
    cout << "time1: ";
    time1.Write();
    cout << "  time2: ";
    time2.Write();
    cout << endl;

    if (time1.Equal(time2))
        cout << "Times are equal" << endl;
    else
        cout << "Times are NOT equal" << endl;

    time2.Increment();
    cout << "New time2: ";
    time2.Write();
    cout << endl;

    if (time1.Equal(time2))
        cout << "Times are equal" << endl;
    else
        cout << "Times are NOT equal" << endl;

    if (time1.LessThan(time2))
        cout << "time1 is less than time2" << endl;
    else
        cout << "time1 is NOT less than time2" << endl;

    if (time2.LessThan(time1))
        cout << "time2 is less than time1" << endl;
    else
        cout << "time2 is NOT less than time1" << endl;

    cout << "Incrementing time1:" << endl;
    time1.Set(23, 59, 55);
    for (count = 1; count <= 10; count++)
    {
        time1.Write();
        cout << ' ';
        time1.Increment();
    }
    return 0;
}
